import request from '@/utils/request'

// 查询芳烃培训列表
export function listFtplandsdt(query) {
  return request({
    url: '/bccnew/ftplandsdt/listAll',
    method: 'get',
    params: query
  })
}

// 查询芳烃培训详细
export function getFtplandsdt(id) {
  return request({
    url: '/bccnew/ftplandsdt/' + id,
    method: 'get'
  })
}

// 新增芳烃培训
export function addFtplandsdt(data) {
  return request({
    url: '/bccnew/ftplandsdt',
    method: 'post',
    data: data
  })
}

// 修改芳烃培训
export function updateFtplandsdt(data) {
  return request({
    url: '/bccnew/ftplandsdt',
    method: 'put',
    data: data
  })
}

// 修改芳烃培训
export function updateFtLearnTime(data) {
  return request({
    url: '/bccnew/ftplandsdt/updateFtLearnTime',
    method: 'put',
    data: data
  })
}

// 删除芳烃培训
export function delFtplandsdt(id) {
  return request({
    url: '/bccnew/ftplandsdt/' + id,
    method: 'delete'
  })
}

// 导出芳烃培训
export function exportFtplandsdt(query) {
  return request({
    url: '/bccnew/ftplandsdt/export',
    method: 'get',
    params: query
  })
}
